/*
 File: fsm_phrase_thsym.cpp
 Date and Time: Fri Jan 30 18:55:12 2015 
*/
#include "fsm_phrase_th.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_fsm_phrase_th;// grammar's ns
// first set terminals
yacco2::THR _YACCO2_CALL_TYPE
NS_fsm_phrase_th::TH_fsm_phrase_th(yacco2::Parser* Caller_pp){
  yacco2::Thread_entry& pp_thread_entry = ITH_fsm_phrase_th;
  NS_fsm_phrase_th::Cfsm_phrase_th Cfsm_phrase_th_;// parallel-parser's parse table
#define ssPARSE_TABLE Cfsm_phrase_th_
#include "wpp_core.h"
}
THR_result _YACCO2_CALL_TYPE
NS_fsm_phrase_th::PROC_TH_fsm_phrase_th(yacco2::Parser* Caller_pp){
  char called_proc_name[] = "PROC_TH_fsm_phrase_th";
  static bool one_time(false);
  static NS_fsm_phrase_th::Cfsm_phrase_th* NS_fsm_phrase_th_Cfsm_phrase_th_(0);// parallel-parser's fsm table
  static Parser* NS_fsm_phrase_th_Cfsm_phrase_th_parser(0);
  Parser* proc_parser(0);
  if(one_time == false){
    one_time = true;
    NS_fsm_phrase_th_Cfsm_phrase_th_ = new NS_fsm_phrase_th::Cfsm_phrase_th();// parallel-parser's fsm table
    NS_fsm_phrase_th_Cfsm_phrase_th_parser = new Parser(*NS_fsm_phrase_th_Cfsm_phrase_th_,Caller_pp);
  }
 proc_parser = NS_fsm_phrase_th_Cfsm_phrase_th_parser;
#include "wproc_pp_core.h"
}
void 
Cfsm_phrase_th::reduce_rhs_of_rule
    (yacco2::UINT Sub_rule_no,yacco2::Rule_s_reuse_entry** Recycled_rule){
   int reducing_rule = rhs_to_rules_mapping_[Sub_rule_no];
   Per_rule_s_reuse_table* rule_reuse_tbl_ptr = 
        fsm_rules_reuse_table.per_rule_s_table_[reducing_rule];
   Rule_s_reuse_entry* re(0);
   find_a_recycled_rule(rule_reuse_tbl_ptr,&re);
   (*Recycled_rule) = re;
   fnd_re: switch (Sub_rule_no){
    case rhs1_Rfsm_phrase_:{
       Rfsm_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 5;
    

     sym->sr1();
     return;}
    case rhs1_Ropen_par_:{
       Ropen_par* sym;
     if(re->rule_ == 0){
       sym = new Ropen_par(parser__);
       re->rule_ = sym;
     }else{
       sym = (Ropen_par*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr1();
     return;}
    case rhs2_Ropen_par_:{
       Ropen_par* sym;
     if(re->rule_ == 0){
       sym = new Ropen_par(parser__);
       re->rule_ = sym;
     }else{
       sym = (Ropen_par*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_Rclose_par_:{
       Rclose_par* sym;
     if(re->rule_ == 0){
       sym = new Rclose_par(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rclose_par*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr1();
     return;}
    case rhs2_Rclose_par_:{
       Rclose_par* sym;
     if(re->rule_ == 0){
       sym = new Rclose_par(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rclose_par*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_Rparameters_:{
       Rparameters* sym;
     if(re->rule_ == 0){
       sym = new Rparameters(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rparameters*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 17;
    

     return;}
    case rhs1_Rfsm_id_phrase_:{
       Rfsm_id_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_id_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_id_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 3;
    

     return;}
    case rhs1_Rfsm_id_:{
       Rfsm_id* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_id(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_id*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs2_Rfsm_id_:{
       Rfsm_id* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_id(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_id*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rfsm_id_:{
       Rfsm_id* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_id(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_id*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs1_Rfsm_id_name_:{
       Rfsm_id_name* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_id_name(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_id_name*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr1();
     return;}
    case rhs2_Rfsm_id_name_:{
       Rfsm_id_name* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_id_name(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_id_name*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rfsm_id_name_:{
       Rfsm_id_name* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_id_name(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_id_name*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs1_Rfsm_filename_phrase_:{
       Rfsm_filename_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_filename_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_filename_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 5;
    

     return;}
    case rhs2_Rfsm_filename_phrase_:{
       Rfsm_filename_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_filename_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_filename_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr2();
     return;}
    case rhs1_Rfsm_filename_:{
       Rfsm_filename* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_filename(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_filename*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs2_Rfsm_filename_:{
       Rfsm_filename* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_filename(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_filename*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rfsm_filename_:{
       Rfsm_filename* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_filename(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_filename*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs1_Rfsm_filename_name_:{
       Rfsm_filename_name* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_filename_name(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_filename_name*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr1();
     return;}
    case rhs2_Rfsm_filename_name_:{
       Rfsm_filename_name* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_filename_name(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_filename_name*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rfsm_filename_name_:{
       Rfsm_filename_name* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_filename_name(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_filename_name*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs1_Rfsm_namespace_phrase_:{
       Rfsm_namespace_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_namespace_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_namespace_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 5;
    

     return;}
    case rhs2_Rfsm_namespace_phrase_:{
       Rfsm_namespace_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_namespace_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_namespace_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr2();
     return;}
    case rhs1_Rfsm_namespace_:{
       Rfsm_namespace* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_namespace(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_namespace*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs2_Rfsm_namespace_:{
       Rfsm_namespace* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_namespace(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_namespace*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rfsm_namespace_:{
       Rfsm_namespace* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_namespace(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_namespace*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs1_Rfsm_namespace_name_:{
       Rfsm_namespace_name* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_namespace_name(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_namespace_name*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr1();
     return;}
    case rhs2_Rfsm_namespace_name_:{
       Rfsm_namespace_name* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_namespace_name(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_namespace_name*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rfsm_namespace_name_:{
       Rfsm_namespace_name* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_namespace_name(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_namespace_name*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs1_Rfsm_class_phrase_:{
       Rfsm_class_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_class_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_class_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 5;
    

     return;}
    case rhs2_Rfsm_class_phrase_:{
       Rfsm_class_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_class_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_class_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr2();
     return;}
    case rhs1_Rfsm_class_:{
       Rfsm_class* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_class(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_class*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs2_Rfsm_class_:{
       Rfsm_class* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_class(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_class*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rfsm_class_:{
       Rfsm_class* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_class(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_class*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs1_Rfsm_class_name_:{
       Rfsm_class_name* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_class_name(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_class_name*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr1();
     return;}
    case rhs2_Rfsm_class_name_:{
       Rfsm_class_name* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_class_name(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_class_name*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs1_Rfsm_version_phrase_:{
       Rfsm_version_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_version_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_version_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 5;
    

     return;}
    case rhs2_Rfsm_version_phrase_:{
       Rfsm_version_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_version_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_version_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr2();
     return;}
    case rhs1_Rfsm_version_:{
       Rfsm_version* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_version(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_version*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs2_Rfsm_version_:{
       Rfsm_version* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_version(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_version*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rfsm_version_:{
       Rfsm_version* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_version(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_version*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs1_Rfsm_version_string_:{
       Rfsm_version_string* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_version_string(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_version_string*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr1();
     return;}
    case rhs2_Rfsm_version_string_:{
       Rfsm_version_string* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_version_string(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_version_string*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rfsm_version_string_:{
       Rfsm_version_string* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_version_string(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_version_string*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs1_Rfsm_date_phrase_:{
       Rfsm_date_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_date_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_date_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 5;
    

     return;}
    case rhs2_Rfsm_date_phrase_:{
       Rfsm_date_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_date_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_date_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr2();
     return;}
    case rhs1_Rfsm_date_:{
       Rfsm_date* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_date(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_date*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs2_Rfsm_date_:{
       Rfsm_date* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_date(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_date*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rfsm_date_:{
       Rfsm_date* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_date(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_date*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs1_Rfsm_date_string_:{
       Rfsm_date_string* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_date_string(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_date_string*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr1();
     return;}
    case rhs2_Rfsm_date_string_:{
       Rfsm_date_string* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_date_string(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_date_string*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rfsm_date_string_:{
       Rfsm_date_string* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_date_string(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_date_string*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs1_Rfsm_debug_phrase_:{
       Rfsm_debug_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_debug_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_debug_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 5;
    

     return;}
    case rhs2_Rfsm_debug_phrase_:{
       Rfsm_debug_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_debug_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_debug_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr2();
     return;}
    case rhs1_Rfsm_debug_:{
       Rfsm_debug* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_debug(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_debug*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs2_Rfsm_debug_:{
       Rfsm_debug* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_debug(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_debug*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rfsm_debug_:{
       Rfsm_debug* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_debug(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_debug*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs1_Rfsm_debug_string_:{
       Rfsm_debug_string* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_debug_string(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_debug_string*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr1();
     return;}
    case rhs2_Rfsm_debug_string_:{
       Rfsm_debug_string* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_debug_string(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_debug_string*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rfsm_debug_string_:{
       Rfsm_debug_string* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_debug_string(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_debug_string*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs1_Rfsm_comments_phrase_:{
       Rfsm_comments_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_comments_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_comments_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 5;
    

     return;}
    case rhs2_Rfsm_comments_phrase_:{
       Rfsm_comments_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_comments_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_comments_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr2();
     return;}
    case rhs1_Rfsm_comments_:{
       Rfsm_comments* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_comments(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_comments*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs2_Rfsm_comments_:{
       Rfsm_comments* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_comments(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_comments*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rfsm_comments_:{
       Rfsm_comments* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_comments(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_comments*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs1_Rfsm_comments_string_:{
       Rfsm_comments_string* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_comments_string(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_comments_string*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr1();
     return;}
    case rhs2_Rfsm_comments_string_:{
       Rfsm_comments_string* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_comments_string(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_comments_string*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rfsm_comments_string_:{
       Rfsm_comments_string* sym;
     if(re->rule_ == 0){
       sym = new Rfsm_comments_string(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfsm_comments_string*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs1_Rlint_:{
       Rlint* sym;
     if(re->rule_ == 0){
       sym = new Rlint(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlint*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs2_Rlint_:{
       Rlint* sym;
     if(re->rule_ == 0){
       sym = new Rlint(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlint*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 0;
    

     return;}
    case rhs1_Rlint_epi_:{
       Rlint_epi* sym;
     if(re->rule_ == 0){
       sym = new Rlint_epi(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlint_epi*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs2_Rlint_epi_:{
       Rlint_epi* sym;
     if(re->rule_ == 0){
       sym = new Rlint_epi(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlint_epi*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 0;
    

     return;}
    default: return;
   }
}
